Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226413 - Merge Review: setuptool
Summary: Merge Review: setuptool
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michal Nowak
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:58 UTC by Nobody's working on this, feel free to take it
Modified: 2013-03-08 02:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-09 15:50:49 UTC
mnowak: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:58:32 UTC
Fedora Merge Review: setuptool

http://cvs.fedora.redhat.com/viewcvs/devel/setuptool/
Initial Owner: nalin@redhat.com

Comment 1 Michal Nowak 2009-02-27 10:09:01 UTC
> Conflicts: pam < 0.78

Can be deleted, for Fedora at least.

> You should install the setuptool package because you may find
> yourself using its features for essential system administration.

Kinda funny.

> %configure

Needs fix, see at the bottom.

> make

https://fedoraproject.org/wiki/Packaging:Guidelines#Parallel_make

> %defattr(-,root,root)

Use: %defattr(-,root,root,-)

> %doc README

Missing COPYING.

%attr(0755,root,root) %{_bindir}/setup
%attr(0644,root,root) %{_sysconfdir}/pam.d/*
%attr(0644,root,root) %{_sysconfdir}/security/console.apps/*
%attr(0755,root,root) %{_sbindir}/setup
%attr(0755,root,root) %dir %{_datadir}/%{name}
%attr(0755,root,root) %dir %{_datadir}/%{name}/setuptool.d
%attr(0755,root,root) %dir %{_sysconfdir}/setuptool.d
%attr(0644,root,root) %{_sysconfdir}/setuptool.d/*

`^^^^^^^^^^^^^^^^^^^^ 

I don't think you need this that much. Just fix /usr/bin/setup not to have +w for group & others in the post-install phase and you have it.


RPMLINT

> setuptool.x86_64: W: no-url-tag

If you don't know the correct URI, I will not mind stay in status quo.

> setuptool.x86_64: W: non-conffile-in-etc /etc/pam.d/setup
> setuptool.x86_64: W: non-conffile-in-etc /etc/setuptool.d/99Xconfigurator
> setuptool.x86_64: W: non-conffile-in-etc /etc/setuptool.d/98system-config-keyboard
> setuptool.x86_64: W: non-conffile-in-etc /etc/setuptool.d/99kbdconfig
> setuptool.x86_64: W: non-conffile-in-etc /etc/setuptool.d/98netconfig
> setuptool.x86_64: W: non-conffile-in-etc /etc/setuptool.d/99timeconfig
> setuptool.x86_64: W: non-conffile-in-etc /etc/setuptool.d/99system-config-network-tui
> setuptool.x86_64: W: non-conffile-in-etc /etc/setuptool.d/98system-config-authentication
> setuptool.x86_64: W: non-conffile-in-etc /etc/setuptool.d/99authconfig
> setuptool.x86_64: W: non-conffile-in-etc /etc/setuptool.d/99lokkit
> setuptool.x86_64: W: non-conffile-in-etc /etc/security/console.apps/setup
> setuptool.x86_64: W: non-conffile-in-etc /etc/setuptool.d/99ntsysv
> setuptool.x86_64: W: non-conffile-in-etc /etc/setuptool.d/99sndconfig
> setuptool.x86_64: W: non-conffile-in-etc /etc/setuptool.d/99mouseconfig
> setuptool.x86_64: W: non-conffile-in-etc /etc/setuptool.d/98system-config-display
> setuptool.x86_64: W: non-conffile-in-etc /etc/setuptool.d/99printconf-tui

This could be %config, if not %config(noreplace), at least.

> setuptool.x86_64: W: unstripped-binary-or-object /usr/sbin/setup

+

> [...]
> gcc -DHAVE_CONFIG_H -DGETTEXT_PACKAGE=\"setup\" -DSETUPTOOLDDIR=\"/etc
> /setuptool.d\" -DOTHERSETUPTOOLDDIR=\"/usr/share/setuptool/setuptool.d\" 
> -I.    -Wall -Wextra -O2 -g -MT setup.o -MD -MP -MF .deps/setup.Tpo -c -o 
> setup.o setup.c

The setuptool build system does not honor Fedora compiler flags. Even though -g is present the -debuginfo pkg is not written.

Comment 2 Michal Nowak 2009-02-27 10:16:06 UTC
(In reply to comment #1)
> > setuptool.x86_64: W: unstripped-binary-or-object /usr/sbin/setup
> 
> +
> 
> > [...]
> > gcc -DHAVE_CONFIG_H -DGETTEXT_PACKAGE=\"setup\" -DSETUPTOOLDDIR=\"/etc
> > /setuptool.d\" -DOTHERSETUPTOOLDDIR=\"/usr/share/setuptool/setuptool.d\" 
> > -I.    -Wall -Wextra -O2 -g -MT setup.o -MD -MP -MF .deps/setup.Tpo -c -o 
> > setup.o setup.c
> 
> The setuptool build system does not honor Fedora compiler flags. Even though -g
> is present the -debuginfo pkg is not written.

This is some problem in my setup.

Comment 3 Michal Hlavinka 2009-03-09 12:43:30 UTC
all from comment #1 should be fixed

Comment 4 Michal Nowak 2009-03-09 15:50:49 UTC
Checked what's in CVS.

REVIEW DONE


Note You need to log in before you can comment on or make changes to this bug.